.message-text {
    animation-name: message-text;
    animation-duration: 1s;
    animation-timing-function: ease-out;
    animation-delay: 2s;
    
  }
  
  @keyframes message-text {
    0% {
    transform: translateX(-500px);  
   
    }
  
    50% {
      opacity: 1;
    }
  
    80% {
      transform: translateX(100px);
    }
  
    100% {
      transform: translateX(0px);
      opacity: 1 !important;
    }
  }
  
  .active .nav-link:hover::before {
    animation: none;
  }
  
  a.nav-link:hover {
    top: -3px !important;
    position: relative;
  }
  
  .nav-link:hover:before {
  animation-name: navlink;
  animation-duration: .3s;
  animation-timing-function: linear;
  
  content: "";
  background: red;
  height: 3px;
  position: relative;
  display: block;
  }
  
  
  @keyframes navlink {
    0% {
      width: 0%;
      left: 50%;
    }
  
  
    100% {
      /* transform: translateX(0px); */
      /* opacity: 1 !important;
       */
       width: 100%;
       left: 0;
    }
  }